package patterns

// Exim is a collection of common Exim patterns. See http://www.exim.org
var Exim = map[string]string{
	"EXIM_MSGID":         `[0-9A-Za-z]{6}-[0-9A-Za-z]{6}-[0-9A-Za-z]{2}`,
	"EXIM_FLAGS":         `(<=|[-=>*]>|[*]{2}|==)`,
	"EXIM_DATE":          `%{YEAR:exim_year}-%{MONTHNUM:exim_month}-%{MONTHDAY:exim_day} %{TIME:exim_time}`,
	"EXIM_PID":           `\[%{POSINT}\]`,
	"EXIM_QT":            `((\d+y)?(\d+w)?(\d+d)?(\d+h)?(\d+m)?(\d+s)?)`,
	"EXIM_EXCLUDE_TERMS": `(Message is frozen|(Start|End) queue run| Warning: | retry time not reached | no (IP address|host name) found for (IP address|host) | unexpected disconnection while reading SMTP command | no immediate delivery: |another process is handling this message)`,
	"EXIM_REMOTE_HOST":   `(H=(%{NOTSPACE:remote_hostname} )?(\(%{NOTSPACE:remote_heloname}\) )?\[%{IP:remote_host}\])`,
	"EXIM_INTERFACE":     `(I=\[%{IP:exim_interface}\](:%{NUMBER:exim_interface_port}))`,
	"EXIM_PROTOCOL":      `(P=%{NOTSPACE:protocol})`,
	"EXIM_MSG_SIZE":      `(S=%{NUMBER:exim_msg_size})`,
	"EXIM_HEADER_ID":     `(id=%{NOTSPACE:exim_header_id})`,
	"EXIM_SUBJECT":       `(T=%{QS:exim_subject})`,
}
